# ConvNegWord
Research code for the MSc Thesis of the repository owner (name redacted due to exam regulations): Conversational Negation in Compositional Distributional Semantics


This code was written to analyse proposed frameworks for conversational negation of words. 
To run this code, the data folders will have to be filled. Each folder contains a readme.txt outlining what it requires.

The code can be categorised into four groups; (1) matrix generation, (2) data generation, (3) helpers and 
(4) data analysis.

(1) The matrix generation code is in the folder *matrix-generation*. It is based on code provided by Martha Lewis. 

(2) The data generation, primarily in the folder *data-generation*, generates the data for the various experiments we run.
Each file in the folder corresponds to one experiment. In the main.py the appropriate experiment can be chosen via
the variable *generation_function*. The results will the be stored in the file specified by the variable *output_file*.

(3) The data generation utilised the operations presented and proposed in the thesis. These are implemented in 
the folder *operations*.

(4) Once the data is generated, various jupyter notebooks are used to analyse and visualise the results. These are stored 
in the folder *jupyter*. 
